// Sample.cpp : Implementation of CSample
#include "stdafx.h"
#include "DBTier.h"
#include "Sample.h"
#include "DatabaseServer.h"
/////////////////////////////////////////////////////////////////////////////
// CSample

HRESULT CSample::Activate()
{
	HRESULT hr = GetObjectContext(&m_spObjectContext);
	if (SUCCEEDED(hr))
		return S_OK;
	return hr;
} 

BOOL CSample::CanBePooled()
{
	return TRUE;
} 

void CSample::Deactivate()
{
	m_spObjectContext.Release();
} 


STDMETHODIMP CSample::SampleCall(BSTR bstrCourseName, long *lCourseID)
{
	HRESULT hresult;
	VARIANT var;
    SAFEARRAY * psa;
     
    SAFEARRAYBOUND rgsabound[1];
    rgsabound[0].lLbound = 0;
    rgsabound[0].cElements = 1;
    psa = SafeArrayCreate(VT_VARIANT, 1, rgsabound);
	
	VARIANT vtParamValue ;
	long iIndex[1] ;
	for(long lIndex=0 ; lIndex < 1 ; lIndex ++)
	{
		iIndex[0] = lIndex ;
		vtParamValue.vt = VT_BSTR ;
		vtParamValue.bstrVal = bstrCourseName;
		SafeArrayPutElement(psa, iIndex, &vtParamValue);
	}
	CDatabaseServer objDB ;   
	*lCourseID = objDB.setExecStoredProcedure("sp_InsertCourse",psa);	

	return S_OK;
}
